<?php
//ini_set('display_errors',1);

date_default_timezone_set('America/Lima');
session_start();
require_once ("../../config/Cado.php");

require_once("../formatos/formato.php");

require_once("../almacen/cAlmacen.php");
$oAlmacen = new cAlmacen();

// echo $_POST['vista'];

if($_POST['vista']=="cotizacion_form"){
	$_POST['cotid']=$_POST['cotid'];
	
}else{
    ////	$_POST['vista']='nada';
	$_POST['cotid']=0;
}

 // echo $_POST['punven_id'].'||';

 $dts1=$oAlmacen->mostrarAlmCajEmp($_POST['punven_id']);
	$dt1 = mysqli_fetch_array($dts1);
 	$emp=$dt1['tb_empresa_id'];
 	$punven_id=$dt1['tb_puntoventa_id'];
 	$piso_id=$dt1['tb_piso_id'];
 	$alm = $dt1['tb_almacen_id'];
 			//$caj_id = $dt1['tb_caja_id'];
	mysqli_free_result($dts1);

//	echo $alm.'--.';


	
?>


<input type="hidden" id="hdd_alm_id" name="hdd_alm_id" value="<?php echo $alm;?>" />
	
<div class="col-lg-12 col-md-12 col-xs-12 no-padding" id="div_tablaproductos">	</div>


<script type="text/javascript">


$(function(){
	
	
producto_tabla_seleccionar('<?php echo $_POST['codmar'];?>','<?php echo $_POST['dat1'];?>','<?php echo $_POST['dat2'];?>','<?php echo $_POST['dat3'];?>',
'<?php echo $_POST['dat4'];?>','<?php echo $_POST['mar'];?>','<?php echo $_POST['codbar'];?>');

	//cmb_almacen_id('<?php echo $alm?>');

	$(document).keyup(function(event){
			if(event.which==27)
			{
					$('#div_productomarca_form_dialog').modal('hide');
			}
	});


});




<?php if( $_POST['vista']=='venta_form'){
			?>
			tabla_totales();
			<?php
		} ?>
		
function producto_tabla_seleccionar(codmar,dat1,dat2,dat3,dat4,mar,codbar)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_tabla_x_codigo3.php",
		async:true,
		dataType: "html", 
		data: ({
			codbar:codbar,
			codmar:codmar || $("#txt_pro_cod").val(),
			dat1:dat1 || $("#txt_pro_dat1").val(),
			dat2:dat2 || $("#txt_pro_dat2").val(),
			dat3:dat3 || $("#txt_pro_dat3").val(),
			dat4:dat4 || $("#txt_pro_dat4").val(),
			mar:mar || $("#txt_pro_mar").val(),
			alm_id: $("#hdd_alm_id").val(),
			vista: '<?php echo $_POST['vista'] ?>',
			cot_id: '<?php echo $_POST['cotid'] ?>'
		}) ,                   
		beforeSend: function() {
			
			$('#div_tablaproductos').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_tablaproductos').html(html);
		},
		complete: function(){			
			$('#div_tablaproductos').removeClass("ui-state-disabled");
	
		}
	});     
}


</script>